# Consumer Two

Use Consumer Two endpoints to retrieve lists of consumers with additional filters.

 - [POST /ConsumerTwo/doCount](https://developer.melissa.com/apis/data-retriever/consumer-two/docountconsumertwo.md): This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.
 - [POST /ConsumerTwo/doLookup](https://developer.melissa.com/apis/data-retriever/consumer-two/dolookupconsumertwo.md): This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.
 - [POST /ConsumerTwo/getCount](https://developer.melissa.com/apis/data-retriever/consumer-two/getcountconsumertwo.md): This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.
